linux: 3.2.0-39.62 -proposed tracker

Bug #1134424 reported by Brad Figg on 2013-02-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-39.62 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 27. February 2013 15:01 UTC
kernel-stable-Prepare-package-end:Thursday, 28. February 2013 04:08 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 28. February 2013 04:08 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 28. February 2013 20:02 UTC
kernel-stable-Verification-testing-start:Thursday, 28. February 2013 21:03 UTC
kernel-stable-Regression-testing-end:Friday, 01. March 2013 17:02 UTC
kernel-stable-Certification-testing-start:Friday, 08. March 2013 14:02 UTC
kernel-stable-Security-signoff-start:Friday, 08. March 2013 14:02 UTC
kernel-stable-Verification-testing-end:Friday, 08. March 2013 14:02 UTC
kernel-stable-Security-signoff-end:Monday, 11. March 2013 23:01 UTC
kernel-stable-Certification-testing-end:Friday, 15. March 2013 18:02 UTC
kernel-stable-Promote-to-updates-start:Sunday, 17. March 2013 21:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 18. March 2013 17:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 18. March 2013 18:03 UTC

Brad Figg (brad-figg) on 2013-02-27
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1135174
linux-armadaxp - bug 1135175
linux-lowlatency - bug 1135176

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-02-28
description: updated
Brad Figg (brad-figg) on 2013-02-28
description: updated
Para Siva (psivaa) on 2013-03-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-03-01
description: updated
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

All SRUs verified; moving to testing

Brad Figg (brad-figg) on 2013-03-08
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-03-11
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel.
No regressions were observed.
The report is available at: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-39.62/precise-proposed.html

Note:
We observed a regression with the latest 6.20 Broadcom drivers, Inspiron 15R (200912-4896) failed to connect
But the bug is in the wl drivers, not the kernel itself.
See https://bugs.launchpad.net/bugs/1154219

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-03-15
description: updated
Brad Figg (brad-figg) on 2013-03-17
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package linux - 3.2.0-39.62

---------------
linux (3.2.0-39.62) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1134424

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: samsung-laptop: disable in UEFI mode"
    - LP: #1117693
  * d-i: Add mellanox ethernet drivers to nic-modules
    - LP: #1015339

  [ Ian Campbell ]

  * SAUCE: xen/netback: shutdown the ring if it contains garbage.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: netback: correct netbk_tx_err to handle wrap around.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: xen/netback: don't leak pages on failure in
    xen_netbk_tx_check_gop.
    - LP: #1117331
    - CVE-2013-0217
  * SAUCE: xen/netback: free already allocated memory on failure in
    xen_netbk_get_requests
    - LP: #1117331
    - CVE-2013-0217

  [ Jan Beulich ]

  * SAUCE: xen-pciback: rate limit error messages from
    xen_pcibk_enable_msi{, x}()
    - LP: #1117336
    - CVE-2013-0231

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * SAUCE: rt2x00: rt2x00pci_regbusy_read() - only print register access
    failure once
    - LP: #1128840

  [ Upstream Kernel Changes ]

  * Revert "ALSA: hda - Shut up pins at power-saving mode with Conexnat
    codecs"
    - LP: #1117693, #886975
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1117693
  * Revert "ptrace: ensure arch_ptrace/ptrace_request can never race with
    SIGKILL"
    - LP: #1131218
  * SAUCE: xen/pv-spinlock: Never enable interrupts in xen_spin_lock_slow()
    - LP: #1011792
  * usb: gadget: dummy: fix enumeration with g_multi
    - LP: #1117693
  * usb: musb: core: print new line in the driver banner again
    - LP: #1117693
  * virtio-blk: Don't free ida when disk is in use
    - LP: #1117693
  * mac80211: use del_timer_sync for final sta cleanup timer deletion
    - LP: #1117693
  * xhci: Handle HS bulk/ctrl endpoints that don't NAK.
    - LP: #1117693
  * USB: Handle auto-transition from hot to warm reset.
    - LP: #1117693
  * USB: Ignore xHCI Reset Device status.
    - LP: #1117693
  * USB: Allow USB 3.0 ports to be disabled.
    - LP: #1117693
  * USB: Increase reset timeout.
    - LP: #1117693
  * USB: Ignore port state until reset completes.
    - LP: #1117693
  * USB: Handle warm reset failure on empty port.
    - LP: #1117693
  * xhci: Avoid "dead ports", add roothub port polling.
    - LP: #1117693
  * ASoC: wm5100: Remove DSP B and left justified formats
    - LP: #1117693
  * mwifiex: handle association failure case correctly
    - LP: #1117693
  * mwifiex: check wait_event_interruptible return value
    - LP: #1117693
  * ASoC: wm2000: Fix sense of speech clarity enable
    - LP: #1117693
  * ioat: Fix DMA memory sync direction correct flag
    - LP: #1117693
  * drm/i915; Only increment the user-pin-count after successfully pinning
    the bo
    - LP: #1117693
  * staging: r8712u: Add new device ID
    - LP: #1117693
  * staging: speakup: avoid out-of-range access in synth_init()
    - LP: #1117693
  * staging: speakup: avoid out-of-range access in synth_add()
    - LP: #1117693
  * staging: come...

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-03-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers